Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/jfreechart/JFCSpecificitiesBarChartCreator.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/jfreechart/JFCSpecificitiesBarChartCreator.java	(revision 136)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/jfreechart/JFCSpecificitiesBarChartCreator.java	(revision 137)
@@ -15,10 +15,10 @@
 import org.txm.chartsengine.jfreechart.core.JFCChartCreator;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.base.ExtendedNumberAxis;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
-import org.txm.core.chartsengine.jfreechart.messages.JFreeChartsEngineMessages;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.specificities.core.functions.SpecificitesResult;
+import org.txm.specificities.core.messages.SpecificitiesCoreMessages;
 import org.txm.specificities.core.preferences.SpecificitiesPreferences;
 
 /**
@@ -87,11 +87,11 @@
 
         if(drawBars)	{
 			// Create the bar chart
-	        chart = this.getChartsEngine().createXYBarChart(dataset, specificitiesResult.getName(), ChartsEngineMessages.ChartsEngine_SPECIFICITIES_X_AXIS_LABEL, ChartsEngineMessages.ChartsEngine_SPECIFICITIES_Y_AXIS_LABEL, true, false, false, xAxisSymbols);
+	        chart = this.getChartsEngine().createXYBarChart(dataset, specificitiesResult.getName(), SpecificitiesCoreMessages.ChartsEngine_SPECIFICITIES_X_AXIS_LABEL, SpecificitiesCoreMessages.ChartsEngine_SPECIFICITIES_Y_AXIS_LABEL, true, false, false, xAxisSymbols);
         }
         else	{
 			// Create the line chart
-	        chart = this.getChartsEngine().createXYLineChart(dataset, specificitiesResult.getName(), ChartsEngineMessages.ChartsEngine_SPECIFICITIES_X_AXIS_LABEL, ChartsEngineMessages.ChartsEngine_SPECIFICITIES_Y_AXIS_LABEL,
+	        chart = this.getChartsEngine().createXYLineChart(dataset, specificitiesResult.getName(), SpecificitiesCoreMessages.ChartsEngine_SPECIFICITIES_X_AXIS_LABEL, SpecificitiesCoreMessages.ChartsEngine_SPECIFICITIES_Y_AXIS_LABEL,
 	        		true, false, true, true, true, false, false, xAxisSymbols);
         }
 
@@ -116,7 +116,7 @@
         // Add positive banality marker
         Marker marker = new ValueMarker(banality);
         marker.setPaint(Color.red);
-        marker.setLabel(JFreeChartsEngineMessages.bind(ChartsEngineMessages.ChartsEngine_SPECIFICITIES_BANALITY_MARKER_LABEL, banality));
+        marker.setLabel(SpecificitiesCoreMessages.bind(SpecificitiesCoreMessages.ChartsEngine_SPECIFICITIES_BANALITY_MARKER_LABEL, banality));
         marker.setLabelAnchor(RectangleAnchor.TOP_RIGHT);
         marker.setLabelTextAnchor(TextAnchor.BOTTOM_RIGHT);
         chart.getXYPlot().addRangeMarker(marker);
@@ -125,7 +125,7 @@
         // Add negative banality marker
         marker = new ValueMarker(-banality);
         marker.setPaint(Color.red);
-        marker.setLabel(JFreeChartsEngineMessages.bind(ChartsEngineMessages.ChartsEngine_SPECIFICITIES_BANALITY_MARKER_LABEL, -banality));
+        marker.setLabel(SpecificitiesCoreMessages.bind(SpecificitiesCoreMessages.ChartsEngine_SPECIFICITIES_BANALITY_MARKER_LABEL, -banality));
         marker.setLabelAnchor(RectangleAnchor.TOP_RIGHT);
         marker.setLabelTextAnchor(TextAnchor.BOTTOM_RIGHT);
         chart.getXYPlot().addRangeMarker(marker);
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java	(revision 0)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java	(revision 137)
@@ -0,0 +1,25 @@
+package org.txm.specificities.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.core.messages.TXMCoreMessages;
+
+
+
+
+public class SpecificitiesCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.specificities.core.messages.messages"; //$NON-NLS-1$
+
+	public static String ChartsEngine_CANT_CREATE_SPECIFICITIES_FILE_CHART;
+	
+	public static String ChartsEngine_SPECIFICITIES_X_AXIS_LABEL;
+	public static String ChartsEngine_SPECIFICITIES_Y_AXIS_LABEL;
+	public static String ChartsEngine_SPECIFICITIES_BANALITY_MARKER_LABEL;
+
+
+	static {
+		// initialize resource bundle
+		TXMCoreMessages.initializeMessages(BUNDLE_NAME, SpecificitiesCoreMessages.class);
+	}
+
+}

Index: tmp/org.txm.specificities.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.specificities.core/META-INF/MANIFEST.MF	(revision 136)
+++ tmp/org.txm.specificities.core/META-INF/MANIFEST.MF	(revision 137)
@@ -4,8 +4,9 @@
 Bundle-SymbolicName: org.txm.specificities.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.chartsengine.core;bundle-version="1.0.0",
+Require-Bundle: org.txm.progression.core;bundle-version="1.0.0",
  org.txm.core,
+ org.txm.chartsengine.core;bundle-version="1.0.0",
  org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
  org.txm.chartsengine.r.core;bundle-version="1.0.0",
  org.eclipse.core.runtime;bundle-version="3.10.0"
Index: tmp/org.txm.cah.core/src/org/txm/cah/core/messages/CAHCoreMessages.java
===================================================================
--- tmp/org.txm.cah.core/src/org/txm/cah/core/messages/CAHCoreMessages.java	(revision 0)
+++ tmp/org.txm.cah.core/src/org/txm/cah/core/messages/CAHCoreMessages.java	(revision 137)
@@ -0,0 +1,21 @@
+package org.txm.cah.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+
+public class CAHCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.cah.core.messages.messages"; //$NON-NLS-1$
+
+	public static String CAH_0;
+
+	public static String CAHEditor_PART_NAME_PREFIX;
+	public static String CAHEditorTitle;
+	
+	static {
+		// initialize resource bundle
+		NLS.initializeMessages(BUNDLE_NAME, CAHCoreMessages.class);
+	}
+
+	private CAHCoreMessages() {
+	}
+}

Index: tmp/org.txm.cah.core/src/org/txm/cah/core/chartsengine/r/RCAHChartCreator.java
===================================================================
--- tmp/org.txm.cah.core/src/org/txm/cah/core/chartsengine/r/RCAHChartCreator.java	(revision 136)
+++ tmp/org.txm.cah.core/src/org/txm/cah/core/chartsengine/r/RCAHChartCreator.java	(revision 137)
@@ -3,9 +3,17 @@
 import java.io.File;
 
 import org.txm.cah.core.functions.CAH;
+import org.txm.cah.core.preferences.CAHPreferences;
 import org.txm.chartsengine.r.core.RChartCreator;
-import org.txm.chartsengine.r.core.RChartsEngine;
+import org.txm.core.preferences.TXMPreferences;
 
+/**
+ * R CAH chart creator.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
 public class RCAHChartCreator extends RChartCreator {
 
 	public RCAHChartCreator() {
@@ -19,51 +27,39 @@
 	}
 	
 
-	public String createCAH2dChartFile(CAH cah) {
-		return "plot.HCPC(" + cah.getSymbol() + ", new.plot=FALSE, choice=\"tree\")";
-	}
-
-	public String createCAH3dChartFile(CAH cah) {
-		return "plot.HCPC("+ cah.getSymbol() +", new.plot=FALSE)";
-	}
-
 	@Override
 	public File createChartFile(Object resultData, File file, String preferencesNode) {
 
-		try {
-			CAH cah = (CAH) resultData;
-			
-			// parameters
+		CAH cah = (CAH) resultData;
+		
+		//FIXME: parameters
 //			int maxWords = TXMPreferences.getInt(preferencesNode, resultData, WordCloudPreferences.MAX_WORDS);
 //			int minFreq = TXMPreferences.getInt(preferencesNode, resultData, WordCloudPreferences.FMIN);
 //			float rotPer = TXMPreferences.getFloat(preferencesNode, resultData, WordCloudPreferences.ROT);
 //			boolean randomOrder = TXMPreferences.getBoolean(preferencesNode, resultData, WordCloudPreferences.RANDOM_POSITION);
+		
+		String cmd = null;
+		if (TXMPreferences.getBoolean(preferencesNode, resultData, CAHPreferences.DISPLAY_2D)) {
+			cmd = "plot.HCPC(" + cah.getSymbol() + ", new.plot=FALSE, choice=\"tree\")";
 			
-			String cmd = null;
-			if (cah.isDisplay2D()) {
-				cmd = createCAH2dChartFile(cah);
-			} else {
-				cmd = createCAH3dChartFile(cah);
-			}
+		// FIXME: for tests without drawing the inertia barplot. Without it, the max available clusters can exceed 16
+		//cmd = "plot.HCPC(" + cah.getSymbol() + ", new.plot=FALSE, choice=\"tree\", tree.barplot=FALSE)"; //$NON-NLS-1$ //$NON-NLS-2$
+		// FIXME: Tests for drawing only the inertia bar plot. We may need to create a method for this : createCAHIntertiaChart() in the charts engines
+		//cmd= "plot.HCPC(" + cah.getSymbol() + ", new.plot=FALSE, choice=\"bar\")"; //$NON-NLS-1$ //$NON-NLS-2$
+
 			
-			((RChartsEngine) this.chartsEngine).plot(file, cmd);
 		}
-		catch(Exception e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
+		else {
+			cmd = "plot.HCPC("+ cah.getSymbol() +", new.plot=FALSE)";
 		}
 		
+		this.getChartsEngine().plot(file, cmd);
+		
 		return file;
 	}
 
 	
 	@Override
-	// FIXME: to not load the chart creator, to remove when implemented 
-	public Class getChartsEngineClass() {
-		return null;
-	}
-	
-	@Override
 	public Class getResultDataClass() {
 		return CAH.class;
 	}
